# Mastodon Inactive Unfollower

Dieses Python-Skript verbindet sich mit der Mastodon-API, liest alle Accounts aus, denen du folgst, und entfolgt automatisch diejenigen, die seit mehr als 6 Monaten inaktiv sind. Es zeigt ausschließlich die entfolgten Accounts (mit vollständiger Mastodon-Adresse) an und beendet die Ausführung mit einem humorvollen Spruch im Stil des legendären Trapatoni-Interviews.

## Features

- **API-Anbindung:** Verbindung zur Mastodon-API mittels [Mastodon.py](https://mastodonpy.readthedocs.io/)
- **Folgeliste abrufen:** Automatischer Abruf aller Accounts, denen du folgst (inklusive Paginierung)
- **Inaktivitätsprüfung:** Überprüfung des letzten Aktivitätsdatums (Status oder Kontoerstellungsdatum) jedes Accounts
- **Automatisches Entfolgen:** Entfernt automatisch Accounts, die seit über 6 Monaten inaktiv sind
- **Ausgabe:** Es werden nur die entfolgten Accounts mit ihrer vollständigen Mastodon-Adresse angezeigt

## Voraussetzungen

- Python 3.x
- [Mastodon.py](https://mastodonpy.readthedocs.io/) (Installation via `pip install Mastodon.py`)

## Installation

1. Klone das Repository:

  ```bash
  git clone https://github.com/deinBenutzername/mastodon-inactive-unfollower.git
  cd mastodon-inactive-unfollower
  ```

2. Installiere die benötigten Abhängigkeiten:

  ```bash
  pip install Mastodon.py
  ```

## Konfiguration

Erstelle im Projektverzeichnis eine Datei namens config.json. Der Inhalt der Datei sollte wie folgt aussehen:

  ```JSON
  {
    "server_url": "SERVER",
    "access_token": "TOKEN"
  }
  ```

- server_url: Die URL deiner Mastodon-Instanz.
- access_token: Dein persönlicher Access-Token zur Authentifizierung bei der Mastodon-API.

## Nutzung

Führe das Skript über die Kommandozeile aus:

  ```JSON
  python unfollow_inactive.py
  ```gi

Das Skript verbindet sich mit der Mastodon-API, ruft alle Accounts ab, denen du folgst, und entfolgt diejenigen, die seit mehr als 6 Monaten inaktiv sind. Anschließend wird eine Zusammenfassung der entfolgten Accounts ausgegeben, gefolgt von einem humorvollen Spruch im Stil des legendären Trapatoni-Interviews.

## Lizenz

Dieses Projekt steht unter der MIT-Lizenz. Siehe dazu die LICENSE Datei für weitere Informationen.

## Hinweise

- Achtung: Das Skript entfolgt automatisch inaktive Accounts. Bitte überprüfe vor der Ausführung, ob du mit dieser Vorgehensweise einverstanden bist.
- Zeitzonen: Das Skript arbeitet mit UTC-Zeit, um die Vergleichbarkeit der Aktivitätsdaten zu gewährleisten.